﻿@model Models.Usuario
@{
    String permissao = HttpContext.Current.Session["Permissao"].ToString();
}

<!DOCTYPE html>
<html lang="en">

<head>


    <title>Admin</title>

    <!-- Bootstrap Core CSS -->
    <link href="~/Content/adminStyle.css" rel="stylesheet" />
    <link href="~/Content/bootstrap.min.css" rel="stylesheet" />
    <!-- Custom CSS -->
    <!-- Custom Fonts -->
    <link href="~/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700' rel='stylesheet' type='text/css'>

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
    <!-- jQuery -->
    <script src="~/scripts/jquery-1.10.2.js"></script>
    <script src="~/scripts/bootstrap.min.js"></script>
    <script src="~/scripts/function.js"></script>
    
</head>

<body>



    <div id="wrapper">

        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <div class="navbar-header">
            </div>
            <!-- /.navbar-header -->
            <!-- /.navbar-top-links -->

            <div class="navbar-default sidebar" role="navigation">
                <div class="sidebar-nav navbar-collapse">

                    <ul class="nav" id="side-menu">
                        <li class="profile-menu clearfix">
                            <img src="~/img/grupoprazo.png" />
                        </li>
                        <li @if (permissao != "A") { @("style=display:none")  }>
                            <a href="#" onclick="action('../Usuario','Listar')"><i class="fa fa-user"></i> Usuario</a>
                        </li>
                        <li>
                            <a href="#" onclick="action('../Tarefa','Listar')"><i class="fa fa-list-ul"></i> Tarefas</a>
                        </li>
                        <li>
                            <a href="#" onclick="action('../Usuario','Sair')"><i class="fa fa-power-off fa-fw"></i> Sair</a>
                        </li>
                    </ul>
                </div>
                <!-- /.sidebar-collapse -->
            </div>
            <!-- /.navbar-static-side -->
        </nav>
        <div id="page-heading">
            <div class="clearfix">
                <h1><i class="fa fa-user"></i> Usuario</h1>
                <div class="pull-left buttons-heading">

                    <button type="button" class="btn btn-primary" onclick="action('../Usuario','Listar')"><i class="fa fa-list-ul"></i> Listar Usuario</button>
                    <button type="button" class="btn btn-primary" id="arquivo"><i class="fa fa-list-ul"></i> Arquivo</button>
                    <button type="button" class="btn btn-primary" id="pdf"><i class="fa fa-list-ul"></i> Pdf</button>

                </div>
            </div>
        </div>
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <i class="fa fa-user"></i> Novo Usuario
                            </div>
                            <form name="form-principal" class="form-principal" action="/Usuario/Cadastrar" method="post">
                                <div class="panel-body">
                                    <input type="hidden" class="form-control" name="id" id="id" value="@Model.Id" />
                                    <div class="form-group">
                                        <label for="nome">Nome</label>
                                        <input class="form-control" name="nome" id="nome" required value="@Model.Nome" />

                                    </div>

                                    <div class="form-group">
                                        <label for="nome">Email</label>
                                        <input class="form-control" name="email" id="email" required value="@Model.Email" />

                                    </div>

                                    <div class="form-group">
                                        <label for="cadastroCpf">Tipo Usuarioa</label>
                                        <select class="form-control" id="permissao" name="permissao" required value="@Model.Permissao">
                                            <option>...</option>
                                            <option value="A" @if (Model.Permissao == "A") { @("selected") }>Administrador</option>
                                            <option value="B" @if (Model.Permissao == "B") { @("selected") }>Usuario Basico</option>
                                        </select>
                                    </div>

                                    <div class="form-group">
                                        <label for="nome">Senha</label>
                                        <input class="form-control" name="senha" id="senha" required value="@Model.Senha" />

                                    </div>

                                    <button type="Submit" id="salvar" class="btn btn-primary" onclick="return false"><i class="fa fa-save"></i> Salvar</button>

                                </div>
                            </form>

                        </div>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
            <script src="~/scripts/pdf.js/build/pdf.js"></script>
            <canvas id="the-canvas"></canvas>
        </div>
        <!-- /#page-wrapper -->
    </div>

    <div class="modal fade" id="meuModal" tabindex="-1" role="dialog" aria-labelledby="TituloModalCentralizado" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="TituloModalCentralizado">Título do modal</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    Deseja comtimuar a operação ?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" id="modal-btn-no">Não</button>
                    <button type="button" class="btn btn-primary" id="modal-btn-si">Sim</button>
                </div>
            </div>
        </div>
    </div>

</body>

</html>
